%global srcname ecdsa

Name:           python-%{srcname}
Version:        0.18.0
Release:    1%{?dist}
Summary:        ECDSA cryptographic signature library

License:        MIT
URL:            https://pypi.python.org/pypi/ecdsa
Source0:        %{pypi_source ecdsa}

Patch0:          https://github.com/tlsfuzzer/python-ecdsa/pull/308.patch

BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  openssl
BuildRequires:  python3-pytest
BuildRequires:  python3-hypothesis
BuildRequires:  python3-gmpy2

%description
This is an easy-to-use implementation of ECDSA cryptography (Elliptic Curve
Digital Signature Algorithm), implemented purely in Python, released under
the MIT license. With this library, you can quickly create keypairs (signing
key and verifying key), sign messages, and verify the signatures. The keys
and signatures are very short, making them easy to handle and incorporate
into other protocols.

%package -n python3-%{srcname}
Summary:        ECDSA cryptographic signature library

%description -n python3-%{srcname}
This is an easy-to-use implementation of ECDSA cryptography (Elliptic Curve
Digital Signature Algorithm), implemented purely in Python, released under
the MIT license. With this library, you can quickly create keypairs (signing
key and verifying key), sign messages, and verify the signatures. The keys
and signatures are very short, making them easy to handle and incorporate
into other protocols.


%prep
%autosetup -p1 -n %{srcname}-%{version}
find src/ecdsa -name \*.py | xargs sed -ie '/\/usr\/bin\/env/d'

%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files %{srcname}


%check
#%%pytest


%files -n python3-%{srcname} -f %{pyproject_files}
%license LICENSE
%doc NEWS README.md


%changelog
* Fri Jun 28 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.18.0-1
- initial build
